package cmd

import (
	"git.cryptic.systems/fh-trier/go-flucky/cmd/remote"
	"github.com/spf13/cobra"
)

var cfg string

var rootCmd = &cobra.Command{
	Use:   "flucky",
	Short: "Read from sensors",
}

// Execute a
func Execute(version string) {
	rootCmd.Version = version

	rootCmd.PersistentFlags().StringVar(&cfg, "config", "/etc/flucky/config.json", "Config file")

	// humidity.InitCmd(rootCmd, configDir)
	remote.InitCmd(rootCmd, cfg)
	// sensor.InitCmd(rootCmd, configDir)
	// temperature.InitCmd(rootCmd, configDir)

	rootCmd.Execute()
}
